package com.bonus.canteen.core.bus.constant;

import java.util.HashMap;
import java.util.Map;

public enum BusDeviceSceneEnum {
   FIXED_PRICE(1, "固定计费"),
   GET_ON_BUS(2, "上车使用"),
   GET_OFF_BUS(3, "下车使用");

   private final Integer key;
   private final String desc;

   private BusDeviceSceneEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      BusDeviceSceneEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         BusDeviceSceneEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public static Map<Integer, String> getDescKeyMap() {
      Map<Integer, String> map = new HashMap();
      BusDeviceSceneEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         BusDeviceSceneEnum temp = var1[var3];
         map.put(temp.getKey(), temp.getDesc());
      }

      return map;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
